aboutsummaryrefslogtreecommitdiff
path: root/package/gnupg2/Config.in
Commit message (Collapse)AuthorAgeFilesLines
* gnupg2: don't preserve the old gpg2 executable nameGravatar Baruch Siach2017-11-271-3/+3
| | | | | | | | | | | | | | | Commit e82fadab236a (gnupg2: bump to version 2.2.0) added a configure option to keep the old 'gpg2' executable name to avoid conflict with the gnupg package. It turns out that gnupg depends on !BR2_PACKAGE_GNUPG2 since commit 2cadb26e6d4 (gnupg: make gnupg and gnupg2 mutually exclusive). Drop this configure option. Rename the config option that controls the removal of gpgv2, now gpgv, to match the new name. Add legacy config symbol handling. Cc: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* packages/g*/Config.in: fix ordering of statementsGravatar Adam Duskett2017-05-011-4/+4
| | | | | | | | | | | | | The check-package script when ran gives warnings on ordering issues on all of these Config files. This patch cleans up all warnings related to the ordering in the Config files for packages starting with the letter g in the package directory. The appropriate ordering is: type, default, depends on, select, help See http://nightly.buildroot.org/#_config_files for more information. Signed-off-by: Adam Duskett <Adamduskett@outlook.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/gnupg2: bump version to 2.1.19Gravatar Bernd Kuhls2017-03-191-5/+5
| | | | | | | | | | | | | | | | | | | | | | | | | | | Support for GnuPG 2.0 will end 2017-12-31: https://lists.gnupg.org/pipermail/gnupg-announce/2017q1/000402.html Removed all patches: - 0001-fix-pth-config-usage.patch Not needed anymore, gnupg2 now depends on libnpth: https://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commitdiff;h=001352077cdc7e402421c77328bea1a052005673 - 0002-missing-include.patch Not needed anymore after upstream commit https://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commitdiff;h=0367a4b8cfbf1f197e093ca2b83b27e0a409c3c7 - 0003-dont-run-tests.patch Not needed anymore after upstream commit https://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commitdiff;h=4a232d23a8f51bebf9ee382e480248b4bde30f28 - 0004-silence-git-when-not-in-git-tree.patch Not needed anymore after upstream commit restricting the usage of git commands to the case where the directory .git exists https://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commitdiff;h=b67e4e523e6d19d384e23c5bb03010caebd150e7 Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/libgpg-error: bump to version 1.23Gravatar Jörg Krause2016-07-041-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This patch is based on a patch sent by Vicente Olivert Riera and commented by Arnout Vandecappelle [1]. - Bump version to 1.23 - Add a hook to fix cross-compilation - Fix license and license files - Remove patch applied upstream - Add a BR2_PACKAGE_LIBGPG_ERROR_ARCH_SUPPORTS variable - Propagate the dependencies using that variable: * package/cppcms * package/crda * package/gnupg2 - package/gcr - package/midori * package/kodi * package/libaacs * package/libassuan * package/libgcrypt * package/libgpgme * package/libksba * package/libmicrohttpd - package/janus-gateway - package/kodi - package/ola - package/systemd * package/libssh * package/libssh2 - package/php-ssh2 * package/netatalk * package/network-manager * package/ntfs-3g * package/opkg * package/php-gnupg * package/rng-tools * package/strongswan * package/vpnc [1] http://patchwork.ozlabs.org/patch/416427/ Cc: Arnout Vandecappelle <arnout@mind.be> Cc: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Jörg Krause <joerg.krause@embedded.rocks> [Thomas: - rebase on master - changing systemd no longer needed, as it no longer selects libgcrypt.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> [Maxime: - rebase on master - bump to new version - propagate dependencies to missing packages] Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com> Reviewed-by: Romain Naour <romain.naour@gmail.com> [Thomas: - fix hash file. - change the way to handle the various arch so that it works properly for uClibc. - add nios2 arch support. - Maxime Hadjinlian learned some basic Emacs-fu to do the final fixups of this commit.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gnupg2: needs dynamic library supportGravatar Baruch Siach2015-03-011-0/+5
| | | | | | | | | Fixes: http://autobuild.buildroot.net/results/d2f/d2fc4cfb0c42d352d1119d8196d6df5fc2ab4be2/ http://autobuild.buildroot.net/results/4ff/4ff76c7da4c50f10d2194a1c50c6c10adaf6f8b6/ Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gnupg2: Needs a suitable iconv implementationGravatar Vicente Olivert Riera2014-08-151-0/+1
| | | | | | | | | | | | | | | | gnupg2 needs a toolchain with locale support or a package which provides a suitable iconv implementation (libiconv). Otherwise it will fail at the configure phase with an error like this one: *** It is now required to build with support for iconv *** Please install a suitable iconv implementation. Fixes: http://autobuild.buildroot.net/results/8c9/8c93c28533dfebffa8b2e34b1421d3fa3cdeb278/ Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Reviewed-by: Markos Chandras <Markos.Chandras@imgtec.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gnupg2: fix dependency on libpthsemGravatar Thomas Petazzoni2014-07-241-2/+2
| | | | | | | | | | | | | Commit beb49d882e03d4596d40dafad21e50460a6f1ef0 ('gnupg2: new package') was incorrect in its dependency on libpthsem: it was selecting BR2_PACKAGE_PTHSEM while it should select BR2_PACKAGE_LIBPTHSEM. This commit fixes that. Fixes: http://autobuild.buildroot.org/results/6e0/6e02b42f01986a56c22c44658fa1e488c0a08e7c/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gnupg2: new packageGravatar Vicente Olivert Riera2014-07-231-0/+36
[Thomas: use libpthsem instead of pth, remove !uclibc dependency, minor formatting fixes in the .mk file.] Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Reviewed-by: Markos Chandras <Markos.Chandras@imgtec.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>